Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Name:		xorg-lib-xtrans
Version:	1.6.0
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	https://xorg.freedesktop.org/releases/individual/lib/xtrans-%{version}.tar.xz
# Source0-md5:	6ad67d4858814ac24e618b8072900664
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	docbook-dtd43-xml
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.446
BuildRequires:	tar >= 1:1.22
BuildRequires:	xmlto >= 0.0.22
BuildRequires:	xorg-sgml-doctools >= 1.8
BuildRequires:	xorg-util-util-macros >= 1.12
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%package devel
Summary:	xtrans library - network API translation layer
Summary(pl.UTF-8):	Biblioteka xtrans - warstwa tłumaczenia sieciowego API
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	libXtrans-devel < 0.2

%description devel
xtrans library provides network API translation layer to insulate X
applications and libraries from OS network vagaries.

%description devel -l pl.UTF-8
Biblioteka xtrans dostarcza warstwę tłumaczenia sieciowego API służącą
do oddzielenia aplikacji i bibliotek X od kaprysów sieciowych systemu
operacyjnego.

%prep
%setup -q -n xtrans-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--host=%{_host} \
	--build=%{_host} \
%endif
	--enable-docs \
	--without-fop

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# (.html version) packaged as %doc
%{__rm} $RPM_BUILD_ROOT%{_docdir}/xtrans/xtrans.*

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog README.md doc/xtrans.html
%{_includedir}/X11/Xtrans
%{_npkgconfigdir}/xtrans.pc
%{_aclocaldir}/xtrans.m4
%changelog
* Sun Mar 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-lib-xtrans.git;a=log;h=master

* Sun Mar 09 2025 Jakub Bogusz <qboosh@pld-linux.org> cddfe83
- updated to 1.6.0

* Sun Nov 10 2024 Jakub Bogusz <qboosh@pld-linux.org> e99c0a9
- updated to 1.5.2

* Wed Oct 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 7a6a909
- updated to 1.5.1

* Mon Jun 05 2023 Jakub Bogusz <qboosh@pld-linux.org> ae7a4cb
- whole package as noarch

* Mon Jun 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 3d4aee7
- noarch devel package, release 2

* Mon Jun 05 2023 Jakub Bogusz <qboosh@pld-linux.org> 57413f9
- updated to 1.5.0

* Tue Mar 19 2019 Jakub Bogusz <qboosh@pld-linux.org> 257b061
- updated to 1.4.0

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 34b090e
- x32 rebuild
- release 2 (by relup.sh)

* Tue Sep 23 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5287f45
- up to 1.3.5

* Tue Apr 01 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c21a593
- up to 1.3.4

* Wed Jan 29 2014 Jakub Bogusz <qboosh@pld-linux.org> 1daba7f
- updated to 1.3.3

* Fri Nov 08 2013 Jakub Bogusz <qboosh@pld-linux.org> accfdf8
- updated to 1.3.2

* Thu Nov 07 2013 Jakub Bogusz <qboosh@pld-linux.org> 98c95c0
- updated to 1.3.1 (restores API used by libFS)

* Sat Nov 02 2013 Jakub Bogusz <qboosh@pld-linux.org> dcfade1
- updated to 1.3.0

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> 39a359e
- updated to 1.2.7

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> e2a71f2
- BR: docbook-dtd43-xml

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f99c0d1
- dropped pre-cvs changelog

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> 3df215f
- updated to 1.2.6

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> d9ea820
- macros for _npkgconfigdir

* Sun Oct 18 2009 Jakub Bogusz <qboosh@pld-linux.org> 8c9252e
- updated to 1.2.5
- .pc file now in noarch dir
- package devel docs

